Subject: bug#52389: 29.0.50; Imenu does not pop up the Completions eagerly

From: André A. Gomes <[email-masked]>
Date: Fri, 17 Dec 2021 12:34:58 +0000

Protesilaos Stavrou <[email-masked]> writes:

> On 2021-12-13, 10:53 +0200, Juri Linkov <[email-masked]> wrote:
>
>>> Regarding this bug report, I am not sure what the status is.  Should I
>>> rewrite the patch to specify a define-obsolete-variable-alias instead?
>>> Or is someone else taking care of it?
>>
>> It seems everyone agrees here it would be preferable to
>> rewrite the patch using define-obsolete-variable-alias.
>
> Please find attached the patch that implements the new user option.  I
> did not include a NEWS entry as things should work the way they did
> before.
>
> The combined use of "not" and "no" concepts in this case feels awkward.
> I prefer my original approach of changing the logic, though I understand
> it would be backward-incompatible.

Agreed.  I don't understand how the decision moved in this direction.
Perhaps the maintainers will reconsider.

-- 
André A. Gomes
"Free Thought, Free World"